Bug 55542 - Java 7 update 51 security requirements
Summary: Java 7 update 51 security requirements
Status: RESOLVED FIXED
Alias: None
Product: Ant
Classification: Unclassified
Component: Documentation (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: Ant Notifications List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-09 18:52 UTC by Erik Costlow
Modified: 2013-09-11 04:23 UTC (History)
0 users



Attachments
Patch of manual/Tasks/jar.html (2.11 KB, text/plain)
2013-09-10 19:19 UTC, Erik Costlow
Details
Patch of manual/Tasks/signjar.html (1.39 KB, text/plain)
2013-09-10 19:20 UTC, Erik Costlow
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Costlow 2013-09-09 18:52:27 UTC
I wanted to give a heads-up about new security requirements in Java 7u51, January 2014 with regards to Applets and Web Start applications.
https://blogs.oracle.com/java-platform-group/entry/new_security_requirements_for_rias

The page at http://ant.apache.org/manual/Tasks/jar.html shows an example of Inline Manifest. Can we add a note here about the Permissions manifest and also reference the SignJar task?
Comment 1 Stefan Bodewig 2013-09-10 04:14:34 UTC
sure we can.

Any suggestion on the exact wording?
Comment 2 Jan Mat 2013-09-10 06:12:08 UTC
Maybe an additional example after the "Inline manifest" example creating the manifest from https://blogs.oracle.com/java-platform-group/entry/new_security_requirements_for_rias

Manifest-Version: 1.0
Created-By: 1.7.0_51
Permissions: sandbox
Codebase: www.java.com java.com

But we have to spend some words WHY to do that. Would it be enough to link to that blog post?
Comment 3 Erik Costlow 2013-09-10 19:19:31 UTC
Created attachment 30810 [details]
Patch of manual/Tasks/jar.html

I grabbed the source for Ant 1.9.2 and made some edits. Here is a proposed patch.
Comment 4 Erik Costlow 2013-09-10 19:20:25 UTC
Created attachment 30811 [details]
Patch of manual/Tasks/signjar.html

Proposed patch to the SignJar task documentation.
Comment 5 Stefan Bodewig 2013-09-11 04:23:05 UTC
patches applied - I just turned the bare URL pointing to your blog post into a link.  I've also merged the changes to the website.

Thanks!